bitel.billing.server.util

## Class MailMsg

- java.lang.Object
- - bitel.billing.server.util.MailMsg

-     public class MailMsg
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailMsg(Preferences setup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult()`
    `void` | `sendMessage(java.lang.String recipients, java.lang.String subject, javax.mail.Multipart mp)` Отправляет письмо адресату
    `void` | `sendMessage(java.lang.String recipients, java.lang.String subject, java.lang.String text)` Отправляет простое текствое письмо адресату
    `boolean` | `wasInitCorrectly()` Проверяет, была ли корректной инициализация

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailMsg

          public MailMsg(Preferences setup)

  - ### Method Detail

    - #### wasInitCorrectly

          public boolean wasInitCorrectly()

      Проверяет, была ли корректной инициализация
      Returns:
        true - если корректна

    - #### sendMessage

          public void sendMessage(java.lang.String recipients,
                                  java.lang.String subject,
                                  java.lang.String text)
                           throws ru.bitel.bgbilling.common.BGException

      Отправляет простое текствое письмо адресату
      Parameters:
        `recipients` - адресат
        `subject` - тема
        `text` - сообщение
      Throws:
        `javax.mail.MessagingException`
        `ru.bitel.bgbilling.common.BGException`

    - #### sendMessage

          public void sendMessage(java.lang.String recipients,
                                  java.lang.String subject,
                                  javax.mail.Multipart mp)

      Отправляет письмо адресату
      Parameters:
        `recipients` - адресат
        `subject` - тема
        `multipart` - тело сообщения

    - #### getResult

          public java.lang.String getResult()